import java.util.Scanner;

public class Digitiser
{
    public static void main(String[] args) {
        int num = 0, temp, digit, count = 0;

        //getting the number from user
        Scanner scanner = new Scanner(System.in);

        boolean validInput = false;

        // FIRST FIX: Handle non numeric input and input out of integer bounds
        while (!validInput) {
            System.out.print("Enter an integer between " + Integer.MIN_VALUE + " and " + Integer.MAX_VALUE + ": ");

            if (scanner.hasNextInt()) {
                validInput = true;
                num = scanner.nextInt();
            } else {
                System.out.println("invalid input: " + scanner.nextLine());
            }
        }

        scanner.close();

        // SECOND FIX: Handle negative input
        if (num < 0) {
            System.out.println("This number is negative.");
            num = -num;
        }

        // THIRD FIX: Handle zero input
        if (num == 0) { // handle the case for zero input
            System.out.println("Digit at place 1 is: 0");
        } else {
            //making a copy of the input number
            temp = num;

            //counting digits in the input number
            while (num > 0)
            {
                num = num / 10;
                count++;
            }
            while(temp > 0)
            {
                digit = temp % 10;
                System.out.println("Digit at place "+count+" is: "+digit);
                temp = temp / 10;
                count--;
            }
        }
    }
}